import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { IMulticallWrapper } from '../../../multicall';
import { GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { ConcentratorContractFactory, AladdinConcentratorAcrvVault } from '../contracts';
export declare class EthereumConcentratorAcrvVaultContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<AladdinConcentratorAcrvVault> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: ConcentratorContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: ConcentratorContractFactory);
    getContract(address: string): AladdinConcentratorAcrvVault;
    getPoolLength(contract: AladdinConcentratorAcrvVault): Promise<BigNumberish>;
    getStakedTokenAddress(contract: AladdinConcentratorAcrvVault, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: AladdinConcentratorAcrvVault, _poolIndex: number, multicall: IMulticallWrapper): Promise<[string, string]>;
    getTotalAllocPoints(): Promise<number>;
    getTotalRewardRate(): Promise<number>;
    getPoolAllocPoints(): Promise<number>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<AladdinConcentratorAcrvVault>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<AladdinConcentratorAcrvVault>): Promise<import("ethers").BigNumber[]>;
}
